# {%= name %} {%= badge("fury") %}

> {%= description %}

Visit the [js-comments](https://github.com/jonschlinkert/js-comments) repo for documentation.

## Install
{%= include("install") %}

## Usage

If you're using [verb-cli][verb-cli], you will need to define `['{%= name %}']` in the `tags` property in the front matter of your project's `.verbrc.md` (or `docs/README.tmpl.md`). This registers the tag with [verb][verb]:

Example:

```yaml
---
tags: ['{%= name %}']
---
```

In your templates, you can now use the tag like this:

```js
{%%= jscomments("index.js") %}
```

_(Also note that front-matter is just one way to register verb tags, filters, and plugins. See the [verb documentation][docs] for more info.)_


## Filtering

The easiest way to filter the output is to use Coffee front matter.

```coffee
---coffee
tags: ['verb-tag-jscomments']

# extend the function onto the context
fn:
  filter = (comment) -> console.log(comment)
---

{%%= jscomments("index.js", {fn: filter}) %}
```

## Author
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}

[verb]: https://github.com/assemble/verb
[docs]: https://github.com/assemble/verb/blob/master/DOCS.md#tags
[verb-cli]: https://github.com/assemble/verb-cli